Subject: bug#24220: "failed to unpack source code" on guix pull

From: ng0 <[email-masked]>
Date: Sun, 14 Aug 2016 14:27:27 +0000

Harry Prevor <[email-masked]> writes:

> Hi ng0,
>
> On 2016-08-14 04:59, ng0 wrote:
>> This was caused by a patch I sent which was applied on master.
>> Guix error messages could be more natural, as for me the error output I
>> got seemed just verbose and I decided it was okay to send this in. The
>> commit has since then be reverted and I will send in an updated patch.
>> 
>> Simpler explanation: a license I added was already inherited by another
>> loaded module, this caused some "hick up" and make broke (while it did
>> not break locally on my side).
>> 
>>>> P.S. I'm not subscribed to bug-guix, so please CC me in any
>>>> responses to this thread!
>> 
>> Can you please close this bug (see the message you got from
>> debbugs.gnu.org with instructions) when it is done.
>> For me master builds again, so I assume this bug is done?
>
> I can do that once I get a message (I haven't yet), but for me I'm still 
> having the guix pull issue. Are there any steps that need to be done by 
> me to ensure I'm getting the latest master branch with the fix? If not, 
> when would the fix be applied?
>
> Thanks,
>
> ---
> Harry Prevor
>
>
>
Curious, I thought the normal behavior of debbugs was to send
instructions with how bugs are closed etc. Sometimes there's a very long
delay (I noticed 1-2 days delay with bugs being opened).

Can you describe your problem more in detail and how to reproduce? I've
just run a `guix pull` and the build succeeded for amd64.
-- 
♥Ⓐ  ng0
For non-prism friendly talk find me on http://www.psyced.org